# collada.light.Light

class `collada.light.``Light`

  Bases: `collada.common.DaeObject`

  Base light class holding data from <light> tags.

  `__init__`()

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `load`(collada, localscope, node) | Load and return a class instance from an XML node.
  `save`() | Put all the data to the internal xml node (xmlnode) so it can be serialized.

  static `load`(collada, localscope, node)

    Load and return a class instance from an XML node.

    Inspect the data inside node, which must match this class tag and create an instance out of it.

    Parameters:

    - collada (collada.Collada) – The collada file object where this object lives
    - localscope (dict) – If there is a local scope where we should look for local ids (sid) this is the dictionary. Otherwise empty dict ({})
    - node – An Element from python’s ElementTree API

  `save`()

    Put all the data to the internal xml node (xmlnode) so it can be serialized.